Pular para o conteúdo

O registro de suboperadores do operador (DPA art. 8 / Anexo 3)

GET
/v1/legal/sub-processors
curl --request GET \
--url https://api.vimine.network/v1/legal/sub-processors

O registro atual (ativos, previstos e fornecedores que não tratam dados das associações) com a versão em vigor do Anexo 3 à qual está vinculado.

Registro

Tipo de mídiaapplication/json
object
version

A versão em vigor do Anexo 3 à qual o registro está vinculado

string
nullable
effective_from
string formato: date-time
nullable
notice_days
integer
at
string formato: date-time
active
obrigatório
Array<object>
object
cod
obrigatório
string
name
obrigatório
string
entity
string
nullable
service
obrigatório
string
data_categories
string
nullable
location
string
nullable
transfer_basis
string
nullable
role
obrigatório
string
Valores permitidos: processor controller none
status
obrigatório
string
Valores permitidos: active planned retired
since
string formato: date
nullable
until
string formato: date
nullable
website
string
nullable
planned
obrigatório
Array<object>
object
cod
obrigatório
string
name
obrigatório
string
entity
string
nullable
service
obrigatório
string
data_categories
string
nullable
location
string
nullable
transfer_basis
string
nullable
role
obrigatório
string
Valores permitidos: processor controller none
status
obrigatório
string
Valores permitidos: active planned retired
since
string formato: date
nullable
until
string formato: date
nullable
website
string
nullable
other
obrigatório

Fornecedores que não tratam dados das associações (transparência)

Array<object>
object
cod
obrigatório
string
name
obrigatório
string
entity
string
nullable
service
obrigatório
string
data_categories
string
nullable
location
string
nullable
transfer_basis
string
nullable
role
obrigatório
string
Valores permitidos: processor controller none
status
obrigatório
string
Valores permitidos: active planned retired
since
string formato: date
nullable
until
string formato: date
nullable
website
string
nullable
Exemplo
{
"active": [
{
"role": "processor",
"status": "active"
}
],
"planned": [
{
"role": "processor",
"status": "active"
}
],
"other": [
{
"role": "processor",
"status": "active"
}
]
}

Requisição inválida

Tipo de mídiaapplication/problem+json
object
type
obrigatório
string formato: uri
title
obrigatório
string
status
obrigatório
integer
detail
string
code
obrigatório
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplogerado
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Não encontrado

Tipo de mídiaapplication/problem+json
object
type
obrigatório
string formato: uri
title
obrigatório
string
status
obrigatório
integer
detail
string
code
obrigatório
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplogerado
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Limite de requisições excedido

Tipo de mídiaapplication/problem+json
object
type
obrigatório
string formato: uri
title
obrigatório
string
status
obrigatório
integer
detail
string
code
obrigatório
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplogerado
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Erro interno

Tipo de mídiaapplication/problem+json
object
type
obrigatório
string formato: uri
title
obrigatório
string
status
obrigatório
integer
detail
string
code
obrigatório
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Exemplogerado
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}